<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AddCharacter()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2b3d3468bbebbe9ca69cfd380a8b1fb5">He_Arc::RPG::Lane</a>
</li>
<li>AddHeaderInLogFile()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ae3eeeddbe0ba645e013d07aa5716679e">He_Arc::RPG::LogCollection</a>
</li>
<li>AddLog()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a21ecae9d5a43da77d6aec61d6c308caa">He_Arc::RPG::LogCollection</a>
</li>
<li>AskMenuSelect()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#ada02f6ad88b49e8d881211daf3aa15ff">He_Arc::RPG::Menu</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CastSpell()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a951899b2c274a6a1742af8a0fa52228d">He_Arc::RPG::NormalDamageSpell</a>
</li>
<li>CenterTextWithSpace()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#aa246321019a4f82f912c1d22ac9c00f0">He_Arc::RPG::Utility</a>
</li>
<li>CharacterClass()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aafe993f8df4d10236808bf056074d5cc">He_Arc::RPG::CharacterClass</a>
</li>
<li>ClearTerminal()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ad27148ac82287e9cbd731fdf7e2555dd">He_Arc::RPG::Utility</a>
</li>
<li>Clone()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ad4f8371c791c5994eee4a81d230b27c1">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#aeb9ffbef5ffd53152c0bcb5723b596f8">He_Arc::RPG::Skeleton</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a53bf2d00e5f6ede780d4436b94d88045">He_Arc::RPG::Slime</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a62f13ee7042201511ab24246764653ca">He_Arc::RPG::Warrior</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ac534d1cb82583d5a74c6d06fd23f5f59">He_Arc::RPG::Wizard</a>
</li>
<li>ConfirmBeforeOverwriteFile()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a8427d05aaf42f02cfe2f52f9ff87f07a">He_Arc::RPG::FileManager</a>
</li>
<li>CreateDirectory()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#adfd2a0a8b88577becf238ceddfda9170">He_Arc::RPG::FileManager</a>
</li>
<li>CreateTeamComposition()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a5c8d4e121c2e3f221211874510f8b3bd">He_Arc::RPG::Game</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>Dice()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a4e8f421bf2aac39e1a7066c8d5192ace">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
<li>DisplayFight()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a7d8fcb94b0e125745221bbd497ae7d20">He_Arc::RPG::Game</a>
</li>
<li>DisplayHomePage()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#a7131e4465e33ca2858ff00ba405fee76">He_Arc::RPG::Menu</a>
</li>
<li>DisplayMenu()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#a32088e9737a75e9ad76d1ba7e0afef83">He_Arc::RPG::Menu</a>
</li>
<li>DisplayRoom()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#afbab5c77233abc25381cb78b06e3c97a">He_Arc::RPG::Room</a>
</li>
<li>DisplayYouDiePage()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#af7c1624f29e7a78c6d1d890027793f8a">He_Arc::RPG::Menu</a>
</li>
<li>distinctVector()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ae198c4ca91f71de1174a1b6e4ca1f6f6">He_Arc::RPG::Utility</a>
</li>
<li>dtTupleToString()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a818b72ff6a9d889d17d5887bc09c6be6">He_Arc::RPG::Utility</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>EnterFightingRoom()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#acff32587086411e092dd1941200e07f4">He_Arc::RPG::Game</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>Game()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a497fbf3e1aa8cde7c5ad1c1556535230">He_Arc::RPG::Game</a>
</li>
<li>GetAgility()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a5ccc7ab4a3039340630901c2671428a8">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetBackpack()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a8ca19e00600c97d925e490e1eca3971e">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetBorder()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a5aaa8b8736d40ebf688e48e9abff1828">He_Arc::RPG::Utility</a>
</li>
<li>GetCharactersOnLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#ad5e96c488331184c781ebc0ef3f61f4d">He_Arc::RPG::Lane</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#af8c94964014bfb260a1772a33d3a3533">He_Arc::RPG::Room</a>
</li>
<li>GetClassTypeName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ae69612164d99e1c4b84b05912d03d72e">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#ae3fb420844cfe5cd56d40c0c6ea1d54e">He_Arc::RPG::Necromancer</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#ad8ac9797a251109390e4baae626d5793">He_Arc::RPG::Skeleton</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a1eaf57d26af00bff92c3078e4606abd8">He_Arc::RPG::Slime</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a745467f29720ff3045d3f7e3451e1baa">He_Arc::RPG::Warrior</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a20d755ae7b54d06d887d95ceaa6c065e">He_Arc::RPG::Wizard</a>
</li>
<li>GetDateTimeFromSysClock()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a49d2ed8748b4a0242d5ac72911181951">He_Arc::RPG::Utility</a>
</li>
<li>GetFeature()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">He_Arc::RPG::IObject</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#a7d45c1aa3de4cac1a8c7c512b0643a47">He_Arc::RPG::Potion</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a646184e21bec106d9a9dc3d3bcdbea4f">He_Arc::RPG::Shield</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#a60ebd92ad48f2f5db0a4fda6efb9b830">He_Arc::RPG::Sword</a>
</li>
<li>GetGameLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#afda0db7e4efeba899d71a140c4bbfde5">He_Arc::RPG::Game</a>
</li>
<li>GetHp()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#af32d2f582c0a79d14e704162611390ee">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetInstance()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a41142f3dc016102009e720426bd699ab">He_Arc::RPG::LogCollection</a>
</li>
<li>GetIntelligence()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a139c78daaeff2aec35d4b44e1a06318d">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetLaneOfCharacter()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#aca603393006654d28b83f957de4f97ed">He_Arc::RPG::Room</a>
</li>
<li>GetLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a9e5ce353cf6cdb160c7ee7f80b756c07">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetLogLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a1b7b9d82700b4dd63139980aa36a0779">He_Arc::RPG::Log</a>
</li>
<li>GetLogMessage()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a7e659695eb1f8cb46ad06cdb8c270a3c">He_Arc::RPG::Log</a>
</li>
<li>GetLogTime()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#a27d5733cdb2c4c09b742f5df5c0b3e74">He_Arc::RPG::Log</a>
</li>
<li>GetLogType()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#ab3be61282e24ac3e3c64c6eb21d9aec1">He_Arc::RPG::Log</a>
</li>
<li>GetMana()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a1f4e7c257f5445fca073a3aeb512512f">He_Arc::RPG::Wizard</a>
</li>
<li>GetName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a79810fa3d8d053c3c20252e248e344bd">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">He_Arc::RPG::IObject</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a0a084940e3f8c49ffaf795d56789fe81">He_Arc::RPG::ISpell</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a3a837242232503e46254fa6d2968f674">He_Arc::RPG::NormalDamageSpell</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#ac4f63c8495e7351da7522242e56c40c2">He_Arc::RPG::Potion</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a91783aba9b640901356e9b08f9b86692">He_Arc::RPG::Shield</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#a0ec97df25e05bba0440c99f61808997e">He_Arc::RPG::Sword</a>
</li>
<li>GetNbCharacterOnTheRoom()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5bd87436a40d3491d62828ccb1a11069">He_Arc::RPG::Lane</a>
</li>
<li>GetNeighbourCharacters()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ae8e145d0ceade2921652dee247579677">He_Arc::RPG::Room</a>
</li>
<li>GetObject()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0ecb6c230a3199d9ab73cca57e85907a">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetOwner()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5e571e734bb094cdd9fe65fb5502a9ff">He_Arc::RPG::Lane</a>
</li>
<li>GetPathAndFileName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a12e8062406b901c53e58d9ef2a77aa7c">He_Arc::RPG::LogCollection</a>
</li>
<li>GetPerception()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aa130bf887bb9724acb0b743cb001ab82">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetRange()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_spell.html#a50ff278f804165aa8efc8a81ae8dfc7c">He_Arc::RPG::ISpell</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#a67bcb41cb8ae0135e15a904c17024489">He_Arc::RPG::NormalDamageSpell</a>
</li>
<li>GetSequenceDisplayLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a41effc9733129d88a957f036354d18a1">He_Arc::RPG::Lane</a>
</li>
<li>GetSpells()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0900bfb38ea138025e9ee08722894afc">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetStrength()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a7077e043f3aaba9fe29f989778238ddc">He_Arc::RPG::CharacterClass</a>
</li>
<li>GetTeamOfCharacter()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ad002566ba5741d437b00e52c893bdf4f">He_Arc::RPG::Room</a>
</li>
<li>GetTextLine()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab772e56b2cece950f5b0bbba70008970">He_Arc::RPG::Utility</a>
</li>
<li>GetWasMaximalRoll()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a02bea22860ecfb54a47e70e291d5d9c1">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
<li>GetWasMinimalRoll()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a1f444ab4b72ab54d9fa85054e7ad1b12">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>Heal()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a6881bd26fe586cd8bddb408cad2d05d0">He_Arc::RPG::CharacterClass</a>
</li>
<li>HealPlayer()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a3b52b19924c77f007b334c21e0802af2">He_Arc::RPG::Game</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>IncreaseGameLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a4cdbe2413a1a375c938c6c89e6304ce5">He_Arc::RPG::Game</a>
</li>
<li>IncreaseLevel()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#aad2d66fcb380f6d48286db4840684e9b">He_Arc::RPG::CharacterClass</a>
</li>
<li>InitLogCol()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ab0b2f3e08dd16ab09546d16bd3e476db">He_Arc::RPG::LogCollection</a>
</li>
<li>Interact()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#adb691223ee5006f580d4744929fd8c26">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#a118110034df7b4cee5b5dc9cedd15340">He_Arc::RPG::Skeleton</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a757a3d40fd99232da698675833674a43">He_Arc::RPG::Slime</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#aa6207c6bf164e5bbf0a4d7abb06ce2ed">He_Arc::RPG::Warrior</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a6bcb1d7c894e467cf8696ad0e947e0ac">He_Arc::RPG::Wizard</a>
</li>
<li>IsCharacterOn()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a9c9465e4c4595d303019605acbc64384">He_Arc::RPG::Lane</a>
</li>
<li>IsDeadTeam()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a569c01c42d8f0eec432d724f017b882d">He_Arc::RPG::Game</a>
</li>
<li>IsFightMoveAllowed()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a78519febcb43813c3a8129d5b58bd22f">He_Arc::RPG::Room</a>
</li>
<li>IsFileExists()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#abf9f67c3542017fcc1c821a9ec03a90e">He_Arc::RPG::FileManager</a>
</li>
<li>IsLaneAvailableFor()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#adfe11e933aa9d4e3d7ab5629cd13e501">He_Arc::RPG::Lane</a>
</li>
<li>IsLaneEmpty()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a337d59c236d01b771cbfa5bc4fc23afb">He_Arc::RPG::Lane</a>
</li>
<li>IsMoveAllowed()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a3b5c4b3e4ee3c076c489a2c4ead5969c">He_Arc::RPG::Room</a>
</li>
<li>IsNotEmpty()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a4c5915ca3a0090b94f98834d0c7d4f97">He_Arc::RPG::Backpack</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>Lane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#af05ebf887573a1716001c408a5dbcbdd">He_Arc::RPG::Lane</a>
</li>
<li>LeftPadding()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a17cac406bb4a5448b560e85f9695d583">He_Arc::RPG::Utility</a>
</li>
<li>Log()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#acff3f38c17d50292c7f8ebe4946a7b41">He_Arc::RPG::Log</a>
</li>
<li>LogCollection()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af8272708fd8ba9468a3d942d2def53f5">He_Arc::RPG::LogCollection</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>Menu()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#a64f920a5ea1ffb8acec4e123b0d4581c">He_Arc::RPG::Menu</a>
</li>
<li>MoveCharacterOneLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#ae98685e85bc3e4a66fd14debe5e85f5f">He_Arc::RPG::Room</a>
</li>
<li>MoveCharacterToLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a201cf61548deaa10252b571d05497f92">He_Arc::RPG::Room</a>
</li>
<li>MoveToDeadLane()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a2d3dc2b8fe7d736f1f872f0e2b61cf11">He_Arc::RPG::Room</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>Necromancer()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#a6a000b974610d658a73a4ba5da04aa52">He_Arc::RPG::Necromancer</a>
</li>
<li>NormalDamageSpell()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_normal_damage_spell.html#ab82aa9d4c106ceb83bd9d23ca0b6a7cb">He_Arc::RPG::NormalDamageSpell</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>operator=()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a0c3921c2f64d9b55759e578b50db111b">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a36522842eab3b4291b577a98a16f7672">He_Arc::RPG::Game</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7c504113b68b568afb51f701aff604f7">He_Arc::RPG::LogCollection</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>Pack()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a3dab42e336c1bdc37352faabe93072da">He_Arc::RPG::Backpack</a>
</li>
<li>PerformGameTurn()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#afd2cde00f0f0f39832b4f7932792bad9">He_Arc::RPG::Game</a>
</li>
<li>PerformStartRoom()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#a187d52b0b5b5da08096f9d335df29207">He_Arc::RPG::Game</a>
</li>
<li>Potion()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_potion.html#a7818b64d63ed190087bfb0b32c1f7f49">He_Arc::RPG::Potion</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>RegenMana()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ac59dfbe679e86050c11f35dcbb537624">He_Arc::RPG::Wizard</a>
</li>
<li>RemoveCharacter()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2f047cfdabe6d5f8f1d49ac015a971a7">He_Arc::RPG::Lane</a>
</li>
<li>RemoveFace()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#ae40dfc9d4eb9950bf2ce48933fcb0a2c">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
<li>RiseUndeads()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_necromancer.html#a5c6ba8ffb5e8dfed06bbc0c9d0d57cef">He_Arc::RPG::Necromancer</a>
</li>
<li>Roll()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_dice.html#a0e41684cd373c814801d97a8f0344511">He_Arc::RPG::Dice&lt; T &gt;</a>
</li>
<li>Room()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a1fe858581162638959f82cee043d89ef">He_Arc::RPG::Room</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>SaveLog()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#afdb73837d5f960d83cabe7805f480c67">He_Arc::RPG::LogCollection</a>
</li>
<li>SelectMenu()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_menu.html#ad9c385715ec2186ef1d0730a12482df9">He_Arc::RPG::Menu</a>
</li>
<li>SetAutoSave()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a11014211f3688f950bc06be2c8ce9625">He_Arc::RPG::LogCollection</a>
</li>
<li>SetBackpack()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a215cd4e01d7f18a374a3ae3b4f594a03">He_Arc::RPG::CharacterClass</a>
</li>
<li>SetName()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#adffa504eb4343ba2060fb41439eb5228">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a8c10f4281cc931d8a8468cff572fb27b">He_Arc::RPG::LogCollection</a>
</li>
<li>Shield()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#ae9d18b9d72271eef712f0cb9d650a13c">He_Arc::RPG::Shield</a>
</li>
<li>Show()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#ac7bd4a9689ccdd9a7035853053d6f889">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#aeee11d11952c0390116b7f7c8215e553">He_Arc::RPG::Skeleton</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a9c9315f11299b2d9a1708a9fd3a94536">He_Arc::RPG::Slime</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#aa17d12836d4699c7aad48110b999d057">He_Arc::RPG::Wizard</a>
</li>
<li>ShowLaneInfo()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2e78177b178c1026d703127d2e5b16fe">He_Arc::RPG::Lane</a>
</li>
<li>ShowLaneInfoCondensed()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#abddf8c6cf2ed513b06457868b9cd27b9">He_Arc::RPG::Lane</a>
</li>
<li>ShowRoomInfo()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_room.html#a48c2913d8de2a04a6068f8b2e0db761c">He_Arc::RPG::Room</a>
</li>
<li>Skeleton()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#a56f7f15f0b627bdc9fdd8ae612c5ea2a">He_Arc::RPG::Skeleton</a>
</li>
<li>Slime()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#a60c3bfd7923af849a493a2002155d926">He_Arc::RPG::Slime</a>
</li>
<li>SufferDamage()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#acf47fd89e0ec51f4be66c6108ec97ea7">He_Arc::RPG::CharacterClass</a>
</li>
<li>Sword()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_sword.html#aa77a3de98b65fca1a999186b86ba1001">He_Arc::RPG::Sword</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>TabShift()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab1aace0bbdcc67ac828a06db6354fd61">He_Arc::RPG::Utility</a>
</li>
<li>ThereIsDeadTeam()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_game.html#aeb8e95a303cd2c377d0a638f8da055d6">He_Arc::RPG::Game</a>
</li>
<li>ToString()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log.html#af06cfe8f6b2a6a72821e09e2558892aa">He_Arc::RPG::Log</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>UnPack()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_backpack.html#a67982681c201ec279aeed7eb278115f8">He_Arc::RPG::Backpack</a>
</li>
<li>UseObject()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a64f92249bbc471189621ca4b3a84ccd3">He_Arc::RPG::CharacterClass</a>
</li>
<li>UseSkill()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html#a379b4ceb86d4feb6de1bb27b452eb015">He_Arc::RPG::CharacterClass</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_skeleton.html#ae137fbdfde27a415b8ad9b2178170194">He_Arc::RPG::Skeleton</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_slime.html#af20b8cbaa9e44a25b6ab27093b4d8463">He_Arc::RPG::Slime</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a4ed7db4fef11887702f3028f047698cc">He_Arc::RPG::Warrior</a>
, <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#a9aabe9d8f966c6024c226b8ee46aeb2e">He_Arc::RPG::Wizard</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>VectToList()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a51b62483a99745fed9691dae9316a79a">He_Arc::RPG::Utility</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>WaitEnterForContinue()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a7ffbfc47c840ca80e1a77ca6e5c02fc3">He_Arc::RPG::Utility</a>
</li>
<li>Warrior()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_warrior.html#a528c5b69dffbb9e27e7e6962c9ef4124">He_Arc::RPG::Warrior</a>
</li>
<li>Wizard()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_wizard.html#ab66f2d3e05ce726772e93f8dd0dca44a">He_Arc::RPG::Wizard</a>
</li>
<li>WriteInFile()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a0b0fa64d296f51b31f20da7c62ffc289">He_Arc::RPG::FileManager</a>
</li>
<li>WriteInFileWithConfirmOverwrite()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_file_manager.html#a6df9b1caeff7552af1ee68cdf2d7844f">He_Arc::RPG::FileManager</a>
</li>
</ul>


<h3><a id="index__7E"></a>- ~ -</h3><ul>
<li>~LogCollection()
: <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1193b265826021c86c40d48083eece06">He_Arc::RPG::LogCollection</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
